# Defold Druid UI Library

# Module `druid.hover`

Component to handle hover node interaction

## Functions

init(node, on_hover_callback) | Component init function
set_hover(state) | Set hover state
set_mouse_hover(state) | Set mouse hover state
set_click_zone(zone) | Strict hover click area.
set_enabled(state) | Set enable state of hover component.
is_enabled() | Return current hover enabled state

## Tables

Events | Component events

## Functions

init(node, on_hover_callback)
  Component init function

  ### Parameters:

  - node node Gui node
  - on_hover_callback function Hover callback
set_hover(state)
  Set hover state

  ### Parameters:

  - state bool The hover state
set_mouse_hover(state)
  Set mouse hover state

  ### Parameters:

  - state bool The mouse hover state
set_click_zone(zone)
  Strict hover click area. Useful for no click events outside stencil node

  ### Parameters:

  - zone node Gui node
set_enabled(state)
  Set enable state of hover component. If hover is not enabled, it will not generate any hover events

  ### Parameters:

  - state bool The hover enabled state
is_enabled()
  Return current hover enabled state

  ### Returns:

  bool The hover enabled state

## Tables

Events
  Component events

  ### Fields:

  - on_hover druid_event On hover callback (Touch pressed)
  - on_mouse_hover druid_event On mouse hover callback (Touch over without action_id)

generated by LDoc 1.4.6 Last updated 2020-06-14 20:13:02